# Uses of Interface
java.lang.classfile.MethodTransform

Packages that use MethodTransform
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

- ## Uses of MethodTransform in java.lang.classfile

  Subinterfaces with type arguments of type MethodTransform in java.lang.classfile
  Modifier and Type
  Interface
  Description
  `interface`
  `MethodTransform`
  A transformation on streams of `MethodElement`.
  Fields in java.lang.classfile declared as MethodTransform
  Modifier and Type
  Field
  Description
  `static final MethodTransform`
  MethodTransform.`ACCEPT_ALL`
  A method transform that passes all elements to the builder.
  Methods in java.lang.classfile that return MethodTransform
  Modifier and Type
  Method
  Description
  `default MethodTransform`
  MethodTransform.`andThen(MethodTransform t)`
  `static MethodTransform`
  MethodTransform.`dropping(Predicate<MethodElement> filter)`
  Creates a method transform that passes each element through to the builder, except for those that the supplied `Predicate` is true for.
  `static MethodTransform`
  MethodTransform.`endHandler(Consumer<MethodBuilder> finisher)`
  Creates a method transform that passes each element through to the builder, and calls the specified function when transformation is complete.
  `static MethodTransform`
  MethodTransform.`ofStateful(Supplier<MethodTransform> supplier)`
  Creates a stateful method transform from a `Supplier`.
  `static MethodTransform`
  MethodTransform.`transformingCode(CodeTransform xform)`
  Creates a method transform that transforms `CodeModel` elements with the supplied code transform, passing every other element through to the builder.
  Methods in java.lang.classfile with parameters of type MethodTransform
  Modifier and Type
  Method
  Description
  `default MethodTransform`
  MethodTransform.`andThen(MethodTransform t)`
  `static ClassTransform`
  ClassTransform.`transformingMethods(MethodTransform xform)`
  Creates a class transform that transforms `MethodModel` elements with the supplied method transform, passing other elements through to the builder.
  `static ClassTransform`
  ClassTransform.`transformingMethods(Predicate<MethodModel> filter, MethodTransform xform)`
  Creates a class transform that transforms `MethodModel` elements with the supplied method transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.
  `ClassBuilder`
  ClassBuilder.`transformMethod(MethodModel method, MethodTransform transform)`
  Adds a method by transforming a method from another class.
  Method parameters in java.lang.classfile with type arguments of type MethodTransform
  Modifier and Type
  Method
  Description
  `static MethodTransform`
  MethodTransform.`ofStateful(Supplier<MethodTransform> supplier)`
  Creates a stateful method transform from a `Supplier`.